---
title: "Get a customer"
description: "Retrieve a customer by ID, including their addresses."
url: https://docs.invoicefalcon.com/api/customers/get-a-customer/
api: "API v1 reference"
method: GET
path: "/customers/{id}"
---

# Get a customer

`GET https://app.invoicefalcon.com/api/v1/external/customers/{id}`

Retrieve a customer by ID, including their addresses.

## Path parameters

- `id` (integer, required)

## Returns

The [customer object](https://docs.invoicefalcon.com/api/customers/).

Rate limit: this call costs 1 point ([rate limits](https://docs.invoicefalcon.com/docs/rate-limiting/)).

## Example request

```sh
curl "https://app.invoicefalcon.com/api/v1/external/customers/{id}" \
  -H "X-Auth-Token: $INVOICE_FALCON_API_KEY"
```

## 200

The customer with addresses.

```json
{
  "customer": {
    "id": 9177,
    "email": "jane.doe@example.com",
    "first_name": "Jane",
    "last_name": "Doe",
    "phone": "+1 555 010 0199",
    "tax_number": "US-12-3456789",
    "eori_number": null,
    "tags": "wholesale, newsletter",
    "shopify_customer_id": 7001234567,
    "created_at": "2025-09-21T16:45:00Z",
    "updated_at": "2026-01-15T09:30:00Z",
    "addresses": [
      {
        "id": 5521,
        "first_name": "Jane",
        "last_name": "Doe",
        "company": "Doe Studio",
        "address1": "12 Example Street",
        "address2": "Suite 4",
        "city": "Springfield",
        "province": "Illinois",
        "country": "United States",
        "zip": "62701",
        "phone": "+1 555 010 0199",
        "address_type": "billing"
      }
    ]
  }
}
```

## 401

Missing or invalid API key.

```json
{
  "error": "Invalid API key"
}
```

## 403

The store is not on a paid plan. API access requires a paid Invoice Falcon plan.

```json
{
  "error": "REST API access requires a paid plan"
}
```

## 404

Resource not found.

```json
{
  "error": "Not found"
}
```

## 429

Rate limit exceeded. Check `X-RateLimit-Reset` header.

```json
{
  "error": "Rate limit exceeded",
  "retry_after": 30,
  "message": "You have exceeded the rate limit of 40 points per 60 seconds. Read requests cost 1 point(s) and write requests cost 2 point(s). Please retry after 30 second(s)."
}
```

